UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Public Attributes | List of all members
uhd::usrp::subdev_spec_pair_t Struct Reference

`#include <subdev_spec.hpp>`

Inheritance diagram for uhd::usrp::subdev_spec_pair_t:

## Public Member Functions
| subdev_spec_pair_t (const std::string &db_name="", const std::string &sd_name="")

## Public Attributes
std::string | db_name
| The daughterboard slot name. More...
std::string | sd_name
| The subdevice name. More...

## Detailed Description

A subdevice specification (daughterboard slot, subdevice) name pairing.

## Constructor & Destructor Documentation

uhd::usrp::subdev_spec_pair_t::subdev_spec_pair_t | ( | const std::string & | db_name = `""`,
|  | const std::string & | sd_name = `""`
| ) |  |

Create a new subdevice specification pair from dboard and subdev names.

Parameters

  db_name | the name of a daughterboard slot
  sd_name | the name of a subdevice on that daughterboard

## Member Data Documentation

std::string uhd::usrp::subdev_spec_pair_t::db_name

The daughterboard slot name.

std::string uhd::usrp::subdev_spec_pair_t::sd_name

The subdevice name.

The documentation for this struct was generated from the following file:

- include/uhd/usrp/subdev_spec.hpp